<?


$msg=str_replace(">","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("#","",$msg);
$msg = htmlspecialchars(stripslashes($msg));
if (!$msg) {msg('Пустое поле сообщения');}
$ip = $_SERVER['REMOTE_ADDR'];
if ($tra){
$trans1= array('CSH','Csh','ZH','Zh','CH','Ch','SH','Sh','YO','Yo','YE','Ye','YU','Yu','YA','Ya','csh','zh','ch','sh','yo','ye','yu','ya','A','B','V','G','D','E','Z','I','J','K','L','M','N','O','P','R','S','T','U','F','H','C','qq',"'",'Y','a','b','v','g','d','e','z','i','j','k','l','m','n','o','p','r','s','t','u','f','h','c','&#39;',"'",'y'); 
$trans2 = array( 'Щ',  'Щ',  'Ж', 'Ж', 'Ч', 'Ч', 'Ш', 'Ш', 'Ё', 'Ё', 'Э', 'Э', 'Ю', 'Ю', 'Я', 'Я', 'щ',  'ж', 'ч', 'ш', 'ё', 'э', 'ю', 'я','А','Б','В','Г','Д','Е','З','И','Й','К','Л','М','Н','О','П','Р','С','Т','У','Ф','Х','Ц',  'ь',  'ь','Ы','а','б','в','г','д','е','з','и','й','к','л','м','н','о','п','р','с','т','у','ф','х','ц',  'ь',  'ь','ы'); 
$msg = str_replace($trans1,$trans2,$msg);
}

$date=date("d/H:i");
$msg=substr($msg,0,300);
$tex="$date||$msg||$player[title]||$login||$ip";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp); 


if ($msg=="!вопрос" || $msg=="!vopros") { 
$vt = implode("",file("vict/vt.dat"));
$vt = unserialize($vt);
$tex="$date||<b>[П]</b>: ".$vt["vopr"]."||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);
}
if ($msg=="!otvet" || $msg=="!ответ") { 
if (!$player["vict"]) $player["vict"]=0;
$tex="$date||".$player["title"].", правельных ответов <u>".$player["vict"]."</u>!||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);
}
if ($msg=="!time" || $msg=="!тиме") { 
$vt = implode("",file("vict/vt.dat"));
$vt = unserialize($vt);
$tex="$date||Вопрос длится еще, <u>".date("i мин s сек",$vt["time"]-time())."</u>||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);
}
if ($msg=="!ts" || $msg=="!тс") { 
$act = implode("",file("vict/anegdot.dat"));
$act = unserialize($act);
$tex="$date||$shutnik заговорит через <u>".date("i мин s сек",$act["time"]-time())."</u>||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);
}
$an = implode("",file("vict/an.dat"));
$an = unserialize($an);
include "vict/otvet.php";
if ($msg==$otvet){
$priz=rand(1,10);
// призы
if ($priz=="1"){
$prize="item.bottle.life";
$ns="напиток жизни||30|15|0";
$sk=rand(1,10);
}
if ($priz=="2"){
$prize="item.bottle.mana";
$ns="напиток маны||40|0|10";
$sk=rand(1,10);
}
if ($priz=="3"){
$prize="item.bottle.life.great";
$ns="напиток великой жизни||150|25|0|";
$sk=rand(1,8);
}
if ($priz=="4"){
$prize="item.bottle.mana.great";
$ns="напиток великой маны||150|0|25|";
$sk=rand(1,8);
}
if ($priz=="5"){
$prize="item.bottle.health";
$ns="напиток исцеления||100|15|10|";
$sk=rand(1,15);
}
if ($priz=="6"){
$prize="item.misc.money";
$ns="монеты||1";
$sk=rand(1,1300);
}
if ($priz=="7"){
$prize="item.magic.pearl";
$ns="жемчуг||10";
$sk=rand(1,15);
}
if ($priz=="8"){
$prize="item.crystal.amber";
$ns="янтарь||100";
$sk=rand(1,7);
}
if ($priz=="9"){
$prize="item.misc.bolt";
$ns="болты||1";
$sk=rand(1,40);
}
if ($priz=="10"){
$prize="item.misc.arrow";
$ns="стрелы||1";
$sk=rand(1,40);
}
$uns = explode("|",$ns);
if ($player['items'][$prize]) {
$star=explode("|", $player['items'][$prize]);
}
if (!$star[1]) $star[1]=0;
$skk=$star[1]+$sk;
$player['items'][$prize]="$uns[0]|$skk|$uns[2]|$uns[3]|$uns[4]";
$tex="$date||Правильно, <u>".$player["title"]."</u>! Ответ верный! Вы выйграли <u>".$uns[0]."(".$sk.")</u>!||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);
$vt = implode("",file("vict/vt.dat"));
$vt = unserialize($vt);
unset($vt["time"]);
 $file1 = fopen ("vict/vt.dat", "w+");
fputs($file1,serialize($vt));
fclose ($file1);
if (!$player["vict"]) $player["vict"]=0;
$player["vict"]+=1;
$tex="$date||".$player["title"].", Правильных ответов: <u>".$player["vict"]."</u>||$umnik";
//$tex=strip_tags($tex);
$fp=@fopen("vict/vict.dat","a+");  
fwrite($fp, "$tex\r\n");
fclose($fp);

}

msg('<META HTTP-EQUIV="Refresh" CONTENT="0; URL=http://lifedragon.ru/'.$PHP_SELF.'?sid='.$sid.'&vic=1&start='.$start.'">
Сообщение  добавлено. <br/> <a href="'.$PHP_SELF.'?sid='.$sid.'&chat=1&start='.$start.'">В Чат</a> 
');
?>